{% extends 'base.html' %}
{% load static %}
{% block title %}Служба уведомлений - Cообщение{% endblock title %}
{% block main %}

    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <div id="kt_toolbar_container" class="container-xxl d-flex flex-stack flex-wrap gap-2">
            <div class="page-title d-flex flex-column align-items-start me-3 gap-2">
                <h1 class="d-flex text-dark fw-bolder m-0 fs-3">Cообщение ({{ message_list.count }})</h1>
                <small class="text-gray-500 fs-7 fw-bold my-1"> <a href="/">Главная</a> / Cообщение</small>
            </div>
        </div>
    </div>

    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl mb-8">
        <div class="content flex-row-fluid" id="kt_content">
            <div class="card card-flush">
                <div class="card-header align-items-center py-5 gap-2 gap-md-5">
                    <div class="card-title">
                        <div class="d-flex align-items-center position-relative my-1">
                            <input type="text" data-table-search="search"
                                   class="form-control form-control-solid w-250px ps-14"
                                   placeholder="Поиск"/>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end gap-5">
                        <div class="w-100 mw-150px">
                            <select class="form-select form-select-solid w-150px" data-control="select2"
                                    data-hide-search="true" data-placeholder="Тип статуса"
                                    data-kt-ecommerce-product-filter="status">
                                <option></option>
                                <option value="all">Все</option>
                                <option value="sent">Успешный</option>
                                <option value="failed">Неуспешный</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="card-body pt-0">
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="table_vehicle">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bolder fs-7 gs-0">
                            <th class="text-center min-w-50px table-th-pr">ID</th>
                            <th class="text-end min-w-150px table-th-pr">Дата отправки</th>
                            <th class="text-end min-w-150px table-th-pr">Cтатус отправки</th>
                            <th class="text-end min-w-200px table-th-pr">ID рассылки</th>
                            <th class="text-end min-w-150px table-th-pr">ID клиента</th>
                        </tr>
                        </thead>
                        <tbody class="fw-bold text-gray-600">
                        {% for message in message_list %}
                            <tr>
                                <td class="text-md-center pe-0">
                                    <span class="fw-bolder">{{ message.id }}</span>
                                </td>
                                <td class="text-end pe-0">
                                    <span class="fw-bolder">{{ message.sent_at|default_if_none:'Не указан'|date:'d F Y, H:i' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder">{{ message.status|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder message-cell">{{ message.dispatch.id }} {{ message.dispatch.title|default_if_none:'(Не указан)' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder message-cell">{{ message.client.id }} {{ message.client.full_name|default_if_none:'(Не указан)' }}</span>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


{% endblock %}


{% block script %}
{% endblock %}